PPL 1.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Parma_Polyhedra_Library::Generator_System_const_iterator Class Reference
C++ Language Interface

An iterator over a system of generators. More...

`#include <ppl.hh>`

Inherits iterator< std::forward_iterator_tag, Generator, std::ptrdiff_t, const Generator *, const Generator & >.

## Public Member Functions
| Generator_System_const_iterator ()
| Default constructor.
| Generator_System_const_iterator (const Generator_System_const_iterator &y)
| Ordinary copy constructor.
| ~Generator_System_const_iterator ()
| Destructor.
Generator_System_const_iterator & | operator= (const Generator_System_const_iterator &y)
| Assignment operator.
const Generator & | operator* () const
| Dereference operator.
const Generator * | operator-> () const
| Indirect member selector.
Generator_System_const_iterator & | operator++ ()
| Prefix increment operator.
Generator_System_const_iterator | operator++ (int)
| Postfix increment operator.
bool | operator== (const Generator_System_const_iterator &y) const
| Returns `true` if and only if `*this` and `y` are identical.
bool | operator!= (const Generator_System_const_iterator &y) const
| Returns `true` if and only if `*this` and `y` are different.

## Detailed Description

An iterator over a system of generators.

A const_iterator is used to provide read-only access to each generator contained in an object of Generator_System.

Example
  The following code prints the system of generators of the polyhedron `ph`:
  const Generator_System& gs = ph.generators();
  for (Generator_System::const_iterator i = gs.begin(),
  gs_end = gs.end(); i != gs_end; ++i)
  cout << *i << endl;
  The same effect can be obtained more concisely by using more features of the STL:
  const Generator_System& gs = ph.generators();
  copy(gs.begin(), gs.end(), ostream_iterator<Generator>(cout, "\n"));

The documentation for this class was generated from the following file:

- ppl.hh